Object subclass: #NmWorldMapServer
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NM-Server-MapServer'!

!NmWorldMapServer methodsFor: 'actions' stamp: 'ns 1/23/2003 14:36'!
getMapStringNamed: mapName 
	^ self readWriter getMapStringFromFile: mapName! !

!NmWorldMapServer methodsFor: 'actions' stamp: 'ns 1/23/2003 14:36'!
listAllMapNames
	^self readWriter listAllMapNamesFromDirectory! !

!NmWorldMapServer methodsFor: 'actions' stamp: 'ns 1/23/2003 14:36'!
putMapString: mapCSVString named: mapName 
	self readWriter putMapString: mapCSVString toFile: mapName.
	^ nil! !

!NmWorldMapServer methodsFor: 'actions' stamp: 'ns 1/23/2003 14:37'!
registerAddress: nmURLString on: mapName 
	^self readWriter registerAddress: nmURLString toFile: mapName! !


!NmWorldMapServer methodsFor: 'factory' stamp: 'ns 1/23/2003 14:36'!
readWriter
	^NmWorldMapReadWriter! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

NmWorldMapServer class
	instanceVariableNames: 'default '!

!NmWorldMapServer class methodsFor: 'registering' stamp: 'MU 11/11/2002 15:22'!
registerServices
	| impl storeSrv loadSrv |
	impl _ self default.
	storeSrv _ SoapService implementor: impl selector: #putMapString:named:.
	storeSrv
		signature: (SoapServiceSignature name: 'putMapString:named:' paramNames: #(#mapCSVString #mapName )).
	storeSrv targetObjectURI: '/netMorph'.
	SoapServiceHandler default add: storeSrv.
	loadSrv _ SoapService implementor: impl selector: #getMapStringNamed:.
	loadSrv
		signature: (SoapServiceSignature name: 'getMapStringNamed:' paramNames: #(#mapName )).
	loadSrv targetObjectURI: '/netMorph'.
	SoapServiceHandler default add: loadSrv.
	! !


!NmWorldMapServer class methodsFor: 'accessing'!
default
	default
		ifNil: [default _ self new].
	^ default! !


!NmWorldMapServer class methodsFor: 'class initialization'!
initialize
	"NmWorldMapServer initialize"
	default _ nil.
	self registerServices.! !


!NmWorldMapServer class methodsFor: 'utility'!
inspectRegisteredServices
	"NmWorldMapServer inspectRegisteredServices"
	SoapServiceHandler default serviceHome inspect! !

NmWorldMapServer initialize!