Object subclass: #NmServerInitializer
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NM-Support-Server'!

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

NmServerInitializer class
	instanceVariableNames: ''!

!NmServerInitializer class methodsFor: 'class initialization' stamp: 'MU2 1/21/2003 18:08'!
initialize
	"NmServerInitializer initialize"
	Smalltalk addToStartUpList: self.
	! !

!NmServerInitializer class methodsFor: 'class initialization' stamp: 'MU2 1/21/2003 18:03'!
obsolete
	
	Smalltalk removeFromStartUpList: self.
	! !


!NmServerInitializer class methodsFor: 'system startup' stamp: 'mu 2/14/2003 18:18'!
startUp
	"NmServerInitializer startUp"
	NmFlapSetup addFlap.
	NmNameResolverServer initialize.
	NmServerManager startMapServer.
	NmServerManager startNameResolverServer.
	
	Transcript cr; show: self name , ': initialize success'! !


NmAbstractSettings subclass: #NmServerSettings
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NM-Support-Server'!

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

NmServerSettings class
	instanceVariableNames: ''!

!NmServerSettings class methodsFor: 'accessing' stamp: 'ns 1/22/2003 19:23'!
mapPath
	| mapPath |
	mapPath _ self properties
				at: #mapPath
				ifAbsent: [].
	(mapPath isNil
			or: [mapPath isEmpty])
		ifTrue: [mapPath _ self properties at: #mapPath put: self defaultMapPath].
	^ mapPath! !

!NmServerSettings class methodsFor: 'accessing' stamp: 'ns 1/22/2003 19:23'!
mapPath: aValue 
	(aValue isNil
			or: [aValue asString isEmpty])
		ifTrue: [^ false].
	self properties at: #mapPath put: aValue asString.
	self changed: #mapPath.
	^ true! !

!NmServerSettings class methodsFor: 'accessing' stamp: 'MU2 1/21/2003 18:07'!
mapServerPort
	^ self properties at: #mapServerPort ifAbsentPutValue: self defaultMapServerPort! !

!NmServerSettings class methodsFor: 'accessing' stamp: 'kuri-t 2/20/2003 17:15'!
mapServerPort: aValue 
	"NmServerSettings mapServerPort: 8080"
	| aNumber |
	[aNumber _ aValue asNumber]
		on: Error
		do: [^ false].
	self properties at: #mapServerPort put: aNumber.
	self changed: #mapServerPort.
	self nameResolverServerPort: aNumber.
	SoapTransportSetup restartAt: self mapServerTransportProtocol port: aNumber! !

!NmServerSettings class methodsFor: 'accessing' stamp: 'ns 1/22/2003 19:11'!
mapServerTransportProtocol
	^ self properties at: #mapServerTransportProtocol ifAbsentPutValue: self defaultMapServerTransportProtocol! !

!NmServerSettings class methodsFor: 'accessing' stamp: 'ns 1/22/2003 19:52'!
mapServerTransportProtocol: transportProtocolSymbol 
	| tp |
	tp _ transportProtocolSymbol asSymbol.
	self properties at: #mapServerTransportProtocol put: tp.
	self changed: #mapServerTransportProtocol.
	self nameResolverTransportProtocol: transportProtocolSymbol.
	
	SoapTransportSetup restartAt: transportProtocolSymbol port: self mapServerPort.
	
	^ true! !

!NmServerSettings class methodsFor: 'accessing' stamp: 'MU2 1/21/2003 18:07'!
nameResolverServerPort
	^ self properties at: #nameResolverServerPort ifAbsentPutValue: self defaultNameResolverServerPort! !

!NmServerSettings class methodsFor: 'accessing' stamp: 'MU2 1/21/2003 18:07'!
nameResolverServerPort: aValue 
	self properties at: #nameResolverServerPort put: aValue! !

!NmServerSettings class methodsFor: 'accessing' stamp: 'ns 1/22/2003 19:12'!
nameResolverTransportProtocol
	^ properties at: #nameResolverTransportProtocol ifAbsentPutValue: self defaultNameResolverServerTransportProtocol! !

!NmServerSettings class methodsFor: 'accessing' stamp: 'MU2 1/21/2003 18:07'!
nameResolverTransportProtocol: transportProtocolSymbol 
	| tp |
	tp _ transportProtocolSymbol asSymbol.
	self properties at: #nameResolverTransportProtocol put: tp.
	self changed: #nameResolverTransportProtocol.
	^ true! !


!NmServerSettings class methodsFor: 'constants' stamp: 'mu 2/12/2003 16:46'!
defaultMapPath
	^ FileDirectory default pathName copy! !

!NmServerSettings class methodsFor: 'constants' stamp: 'MU2 1/21/2003 18:07'!
defaultMapServerPort
	^ 80! !

!NmServerSettings class methodsFor: 'constants' stamp: 'MU2 1/21/2003 18:07'!
defaultMapServerTransportProtocol
	^ #http
	! !

!NmServerSettings class methodsFor: 'constants' stamp: 'MU2 1/21/2003 18:07'!
defaultNameResolverServerPort
	^ self defaultMapServerPort! !

!NmServerSettings class methodsFor: 'constants' stamp: 'MU2 1/21/2003 18:07'!
defaultNameResolverServerTransportProtocol
	^ self defaultMapServerTransportProtocol
	! !

!NmServerSettings class methodsFor: 'constants' stamp: 'ns 1/22/2003 18:48'!
iniFileName
	^'NetMorphServer.ini' copy! !


!NmServerSettings class methodsFor: 'actions' stamp: 'ns 1/23/2003 15:03'!
toggleMapServerRunning
	| isRunning |
	(isRunning _ self isMapServerRunning)
		ifTrue: [NmServerManager stopMapServer; stopNameResolverServer]
		ifFalse: [NmServerManager startMapServer; startNameResolverServer].
	^ isRunning not! !


!NmServerSettings class methodsFor: 'testing' stamp: 'MU2 1/21/2003 18:21'!
isMapServerRunning
	"NmServerSettings isMapServerRunning"
	| descriptor |
	descriptor _ (self mapServerTransportProtocol, ':', self mapServerPort asString) asSymbol.
	^SoapTransportSetup runningTransportDescriptions includes: descriptor! !


NmAbstractSettingsMorph subclass: #NmServerSettingsMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NM-Support-Server'!

!NmServerSettingsMorph methodsFor: 'factory' stamp: 'ns 1/22/2003 17:23'!
settingClass
	^ self class settingClass! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

NmServerSettingsMorph class
	instanceVariableNames: ''!

!NmServerSettingsMorph class methodsFor: 'private' stamp: 'kuri-t 2/20/2003 16:17'!
createWindow
	"NmServerSettingsMorph createWindow openInHand."
	| textField row checkBox window inst |
	window _ self createSystemWindow.
	(inst _ window findA: self)
		ifNil: [^ self error: 'System Window not found.'].
	row _ self buildRowLabeled: 'map server port (ADMIN only):'.
	textField _ self buildTextField: #mapServerPort.
	row addMorphBack: textField.
	checkBox _ UpdatingThreePhaseButtonMorph checkBox target: self settingClass;
				 actionSelector: #toggleMapServerRunning;
				 getSelector: #isMapServerRunning.
	row addMorphBack: checkBox.
	inst addMorphBack: row.

	row _ self buildRowLabeled: 'map path: '.
	textField _ self buildTextField: #mapPath.
	row addMorphBack: textField.
	inst addMorphBack: row.

	row _ self buildResetDefaultButtonRowOn: inst.
	inst addMorphBack: row.
	window extent: self windowExtent.
	^ window! !


!NmServerSettingsMorph class methodsFor: 'defaluts' stamp: 'ns 1/22/2003 17:19'!
labelString
	^ 'NetMorph Server setting'! !


!NmServerSettingsMorph class methodsFor: 'instance creation' stamp: 'mu 2/19/2003 15:47'!
windowExtent
	^ 350 @ 100! !


!NmServerSettingsMorph class methodsFor: 'factory' stamp: 'ns 1/22/2003 16:41'!
settingClass
	^ NmServerSettings! !


Object subclass: #NmServerUtil
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NM-Support-Server'!

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

NmServerUtil class
	instanceVariableNames: ''!

!NmServerUtil class methodsFor: 'soap support' stamp: 'ns 1/23/2003 14:33'!
inspectRegisteredServices
	"NmServerUtil inspectRegisteredServices"
	SoapServiceHandler default serviceHome inspect! !

!NmServerUtil class methodsFor: 'soap support' stamp: 'ns 1/23/2003 11:21'!
runningTransportDescriptions
	"NmUtil runningTransportDescriptions"
	"Show what transport server(s) is running"
	| setup |
	(setup _ self soapTransportSetup)
		ifNil: [^ #()].
	^setup runningTransportDescriptions! !

NmServerInitializer initialize!